local WebSocketBaseMessage = require("Chat.WebMessage.Config.WebSocketBaseMessage")
local GetCustomRoomListV2Command = BaseClass("GetCustomRoomListV2Command", WebSocketBaseMessage)
local rapidjson = require("rapidjson")
local OnCreate = function(self, tbl)
  self.tableData.group = ChatGroupType.GROUP_CUSTOM_GROUP
end
local HandleMessage = function(self, data)
  local result = data.result
  local roomMgr = ChatManager2:GetInstance().Room
  local rooms = result.rooms
  roomMgr:SetIsNewPrivateList(data.isPartial)
  roomMgr:OnGetCustomRoomList(rooms)
  roomMgr:OnInitRoomCmdBack()
  roomMgr:SetPrivateIndex(result.p2pIndex, result.cgIndex)
end
GetCustomRoomListV2Command.OnCreate = OnCreate
GetCustomRoomListV2Command.HandleMessage = HandleMessage
return GetCustomRoomListV2Command
